# OnnxRuntime: Ort::CustomOpBase< TOp, TKernel > Struct Template Reference

Loading...
Searching...
No Matches
Ort::CustomOpBase< TOp, TKernel > Struct Template Reference

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::CustomOpBase< TOp, TKernel >:

## Public Member Functions

| CustomOpBase ()
const char * | GetExecutionProviderType () const
OrtCustomOpInputOutputCharacteristic | GetInputCharacteristic (size_t) const
OrtCustomOpInputOutputCharacteristic | GetOutputCharacteristic (size_t) const
OrtMemType | GetInputMemoryType (size_t) const
int | GetVariadicInputMinArity () const
bool | GetVariadicInputHomogeneity () const
int | GetVariadicOutputMinArity () const
bool | GetVariadicOutputHomogeneity () const
std::vector< std::string > | GetSessionConfigKeys () const

## Protected Member Functions

void | GetSessionConfigs (std::unordered_map< std::string, std::string > &out, ConstSessionOptions options) const

## Additional Inherited Members

Public Attributes inherited from OrtCustomOp
uint32_t | version
void *(* | CreateKernel )(const struct OrtCustomOp *op, const OrtApi *api, const OrtKernelInfo *info)
const char *(* | GetName )(const struct OrtCustomOp *op)
const char *(* | GetExecutionProviderType )(const struct OrtCustomOp *op)
ONNXTensorElementDataType(* | GetInputType )(const struct OrtCustomOp *op, size_t index)
size_t(* | GetInputTypeCount )(const struct OrtCustomOp *op)
ONNXTensorElementDataType(* | GetOutputType )(const struct OrtCustomOp *op, size_t index)
size_t(* | GetOutputTypeCount )(const struct OrtCustomOp *op)
void(* | KernelCompute )(void *op_kernel, OrtKernelContext *context)
void(* | KernelDestroy )(void *op_kernel)
OrtCustomOpInputOutputCharacteristic(* | GetInputCharacteristic )(const struct OrtCustomOp *op, size_t index)
OrtCustomOpInputOutputCharacteristic(* | GetOutputCharacteristic )(const struct OrtCustomOp *op, size_t index)
OrtMemType(* | GetInputMemoryType )(const struct OrtCustomOp *op, size_t index)
int(* | GetVariadicInputMinArity )(const struct OrtCustomOp *op)
int(* | GetVariadicInputHomogeneity )(const struct OrtCustomOp *op)
int(* | GetVariadicOutputMinArity )(const struct OrtCustomOp *op)
int(* | GetVariadicOutputHomogeneity )(const struct OrtCustomOp *op)

## Constructor & Destructor Documentation

## CustomOpBase()

template<typename TOp , typename TKernel >

Ort::CustomOpBase< TOp, TKernel >::CustomOpBase | ( |  | ) |

inline

## Member Function Documentation

## GetExecutionProviderType()

template<typename TOp , typename TKernel >

const char * Ort::CustomOpBase< TOp, TKernel >::GetExecutionProviderType | ( |  | ) | const

inline

## GetInputCharacteristic()

template<typename TOp , typename TKernel >

OrtCustomOpInputOutputCharacteristic Ort::CustomOpBase< TOp, TKernel >::GetInputCharacteristic | ( | size_t |  | ) | const

inline

## GetInputMemoryType()

template<typename TOp , typename TKernel >

OrtMemType Ort::CustomOpBase< TOp, TKernel >::GetInputMemoryType | ( | size_t |  | ) | const

inline

## GetOutputCharacteristic()

template<typename TOp , typename TKernel >

OrtCustomOpInputOutputCharacteristic Ort::CustomOpBase< TOp, TKernel >::GetOutputCharacteristic | ( | size_t |  | ) | const

inline

## GetSessionConfigKeys()

template<typename TOp , typename TKernel >

std::vector< std::string > Ort::CustomOpBase< TOp, TKernel >::GetSessionConfigKeys | ( |  | ) | const

inline

## GetSessionConfigs()

template<typename TOp , typename TKernel >

void Ort::CustomOpBase< TOp, TKernel >::GetSessionConfigs | ( | std::unordered_map< std::string, std::string > & | out,
|  | ConstSessionOptions | options
| ) |  | const

protected

## GetVariadicInputHomogeneity()

template<typename TOp , typename TKernel >

bool Ort::CustomOpBase< TOp, TKernel >::GetVariadicInputHomogeneity | ( |  | ) | const

inline

## GetVariadicInputMinArity()

template<typename TOp , typename TKernel >

int Ort::CustomOpBase< TOp, TKernel >::GetVariadicInputMinArity | ( |  | ) | const

inline

## GetVariadicOutputHomogeneity()

template<typename TOp , typename TKernel >

bool Ort::CustomOpBase< TOp, TKernel >::GetVariadicOutputHomogeneity | ( |  | ) | const

inline

## GetVariadicOutputMinArity()

template<typename TOp , typename TKernel >

int Ort::CustomOpBase< TOp, TKernel >::GetVariadicOutputMinArity | ( |  | ) | const

inline